package com.knauf.ejb.kuchenzutat;
/**
 * Local Home interface for Enterprise Bean: Zutat
 */
public interface ZutatLocalHome extends javax.ejb.EJBLocalHome {
	/**
	 * Creates an instance from a key for Entity Bean: Zutat
	 */
	public com.knauf.ejb.kuchenzutat.ZutatLocal create()
		throws javax.ejb.CreateException;
	/**
	 * Finds an instance using a key for Entity Bean: Zutat
	 */
	public com.knauf.ejb.kuchenzutat.ZutatLocal findByPrimaryKey(
		java.lang.Integer primaryKey)
		throws javax.ejb.FinderException;
	public java.util.Collection findAll() throws javax.ejb.FinderException;
	public com.knauf.ejb.kuchenzutat.ZutatLocal findByMaxId() throws javax.ejb.FinderException;
	/**Erzeugen eines Zutat-Objekts, wobei Name und Menge angegeben wird. Der Key wird in der MEthode
	 * erzeugt.
	 * @param str_Name Der Name der Zutat
	 * @param str_Menge Die Menge der Zutat
	 * @return Immer NULL.
	 * @exception CreateException Fehler beim Erzeugen.
	 */
	public com.knauf.ejb.kuchenzutat.ZutatLocal createByNameMenge(
		String str_Name,
		String str_Menge)
		throws javax.ejb.CreateException;
	/**
	 * Creates an instance from a key for Entity Bean: Zutat
	 */
	public com.knauf.ejb.kuchenzutat.ZutatLocal create(java.lang.Integer id)
		throws javax.ejb.CreateException;
}
